For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomepageProduct HelpLog inTry for Free
Developers HomeAPI ReferenceMCP
Developers HomeAPI ReferenceMCP
  • Getting Started
    • Introduction
    • Authentication with API Keys
    • Authentication with OAuth
    • API Clients
    • Pagination
    • Specifying Fields
    • Filter Parameters
    • HTTP Response Codes
    • Rate Limits
    • Timezone Offsets
    • Rich Text Fields
    • Changelog
  • CRM Core
    • Leads
    • Contacts
    • Opportunities
    • Tasks
    • Files
    • Custom Objects
    • Comments
  • Activities
    • Activities
    • Notes
      • GETList or filter all Note activities
      • POSTCreate a Note activity
      • GETGet a single Note activity
      • PUTUpdate a Note activity
      • DELDelete a Note activity
    • Calls
    • Emails
    • Email Threads
    • WhatsApp Messages
    • Meetings
    • Custom Activities
    • Creations
    • Form Submissions
    • Lead Status Changes
    • Opportunity Status Changes
    • Lead Merges
    • Task Completions
  • Events & Webhooks
    • Webhooks
    • Events
  • Search & Reporting
    • Advanced Filtering
    • Smart Views
    • Reporting
  • Automation & Bulk Actions
    • Sequences (Workflows)
    • Bulk Actions
    • Exports
    • AI Field Enrichment
  • CRM Configuration
    • Custom Fields
    • Custom Activity Types
    • Custom Object Types
    • Pipelines
    • Opportunity Statuses
    • Lead Statuses
    • Integration Links
    • Forms
  • Communication Configuration
    • Email Templates
    • SMS Templates
    • Outcomes
    • Playbooks
    • Scheduling Links Guide
    • Scheduling Links
    • Connected Accounts
    • Send As
    • Unsubscribed Emails
    • Phone Numbers
    • Blocked Phone Numbers
    • Dialers
  • Users & Organizations
    • Users
    • Organizations
    • Memberships
    • Roles
    • Groups
Close

Product

OverviewCommunicationAutomationIntegrationsReportingSMSCallingSecurityForms

Pricing & Use Cases

PricingClose vs Other CRMsCustomer Stories

Resources

Sales BlogSales ResourcesSales GuidesWebinarsOn-Demand DemoSales Tools

Company

AboutCareersPartner with CloseBrand GuidelinesTermsPrivacyGDPRCCPA

Get Help

+1-833-GO-CLOSEHelp CenterDownload the Close AppProduct UpdatesSystem Status
LogoLogo
HomepageProduct HelpLog inTry for Free
ActivitiesNotes

Create a Note activity

||View as Markdown|
POST
https://api.close.com/api/v1/activity/note/
POST
/api/v1/activity/note/
$curl -X POST https://api.close.com/api/v1/activity/note/ \
> -H "Content-Type: application/json" \
> -u "<CLOSE_API_KEY>:" \
> -d '{
> "lead_id": "lead_s6vHFTK1TSRoH6otXOexWDO9jM4xyb1kELHDoU7Fdsp",
> "attachments": [
> {
> "filename": "picture.gif",
> "url": "https://app.close.com/go/file/temporary/user_MvDoAZA889UMrgsZbnXmHkJSomSi7qk2Iwc4JnGHTbo/3HV4BNwDyBLdfrPbFZF78s/picture.gif/",
> "content_type": "image/gif"
> }
> ],
> "note_html": "<body><p>this is a test note.</p></body>"
>}'
1{
2 "_type": "Note",
3 "activity_at": "2013-02-20T06:39:57.266000+00:00",
4 "contact_id": null,
5 "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
6 "date_created": "2013-02-20T06:39:57.266000+00:00",
7 "date_updated": "2013-02-20T06:39:57.266000+00:00",
8 "id": "acti_kwWA3rOfy4BnaZ8QQk3RIIAz51dU9ayiluy1s961Oiw",
9 "lead_id": "lead_s6vHFTK1TSRoH6otXOexWDO9jM4xyb1kELHDoU7Fdsp",
10 "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
11 "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
12 "user_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
13 "users": [],
14 "created_by_name": "Bruce Wayne",
15 "updated_by_name": "Bruce Wayne",
16 "user_name": "Bruce Wayne",
17 "attachments": [
18 {
19 "content_type": "image/gif",
20 "filename": "picture.gif",
21 "size": 20673,
22 "thumbnail_url": "https://app.close.com/go/file/persisted/orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH/activity.note/acti_kwWA3rOfy4BnaZ8QQk3RIIAz51dU9ayiluy1s961Oiw/3HV4BNwDyBLdfrPbFZF78s/picture.gif/thumbnail/",
23 "url": "https://app.close.com/go/file/persisted/orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH/activity.note/acti_kwWA3rOfy4BnaZ8QQk3RIIAz51dU9ayiluy1s961Oiw/3HV4BNwDyBLdfrPbFZF78s/picture.gif/"
24 }
25 ],
26 "note": "this is a test note.",
27 "note_html": "<body><p>this is a test note.</p></body>",
28 "pinned": false,
29 "pinned_at": null,
30 "title": null
31}
To include an attachment, you must first upload the file to Close using the [Files API](https://developer.close.com/api/resources/files). Then, add an object to the `attachments` array with the following fields: `url`, `filename` and `content_type`. The `url` should be the URL provided in the `download.url` field of the response from the [Files API](https://developer.close.com/api/resources/files). It must begin `https://app.close.com/go/file/`. A note can be pinned or unpinned by setting the `pinned` field to `true` or `false` when creating or updating a note.
Was this page helpful?
Previous

List or filter all Note activities

Next

Get a single Note activity

Built with

To include an attachment, you must first upload the file to Close using the Files API. Then, add an object to the attachments array with the following fields: url, filename and content_type. The url should be the URL provided in the download.url field of the response from the Files API. It must begin https://app.close.com/go/file/.

A note can be pinned or unpinned by setting the pinned field to true or false when creating or updating a note.

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
lead_idstringRequired
activity_atdatetime or nullOptional
attachmentslist of objects or nullOptional
contact_idstring or nullOptional
created_bystring or nullOptional
date_createddatetime or nullOptional
notestring or nullOptional
note_htmlstring or nullOptional
organization_idstring or nullOptional
pinnedboolean or nullOptional
titlestring or nullOptional
user_idstring or nullOptional

Response

Successful response
_typestring
activity_atdatetime or null
contact_idstring or null
created_bystring or null
date_createddatetime
date_updateddatetime
idstring
lead_idstring or null
organization_idstring
updated_bystring or null
user_idstring or null
userslist of strings
created_by_namestring or null
updated_by_namestring or null
user_namestring or null

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error